Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
vizitown_plugin.vt_as_provider_postgis.PostgisProvider Class Reference

Postgis provider Stock the attribute to use a postgis resource. More...

Collaboration diagram for vizitown_plugin.vt_as_provider_postgis.PostgisProvider:

## Public Member Functions
def | __init__
| Constructor. More...
def | request_tile
| request_tile method Return all the result contains in the extent in param More...

## Static Public Member Functions
def | get_columns_info_table
| get_columns_info_table static method Return columns and types of a specific table More...

## Public Attributes
| db
| geometry1
| geometry2
| retGeometry
| hasH

## Private Member Functions
def | _sort_result
| sort_result method Sort the request result in function of the type of symbology apply on the data More...
def | _get_result_single_symbol
| _get_result_single_symbol method Run through the iterator to check the associated symbol More...
def | _get_result_graduated_symbol
| _get_result_graduated_symbol method Run through the iterator to check the associated symbol and sorted it More...
def | _get_result_categorized_symbol
| _get_result_categorized_symbol method Run through the iterator to check the associated symbol and sorted it More...
def | _get_request
| _get_request method Send a request to catch the type of the data More...
def | _request_point_line
| _request_point_line method Request point or line data More...
def | _request_polygon
| _request_polygon method Request polygon data More...
def | _request_polyh
| _request_polyh method Request polyhedral data More...
def | _request_tin
| _request_tin Request tin data More...
def | _color_array
| _color_array method Create an arry with all color of the layer More...

## Private Attributes
| _layer

## Detailed Description

Postgis provider Stock the attribute to use a postgis resource.

## Constructor & Destructor Documentation

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider.__init__ | ( |  | self,
|  |  | layer
| ) |  |

Constructor.

Parameters

  _layer |

## Member Function Documentation

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._color_array | ( |  | self) |  |
| private

_color_array method Create an arry with all color of the layer

Returns
  the array

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._get_request | ( |  | self,
|  |  | pExtent
| ) |  |
| private

_get_request method Send a request to catch the type of the data

Returns
  the request

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._get_result_categorized_symbol | ( |  | self,
|  |  | iterator
| ) |  |
| private

_get_result_categorized_symbol method Run through the iterator to check the associated symbol and sorted it

Parameters

  iterator |

Returns
  the table with the data and associated symbol

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._get_result_graduated_symbol | ( |  | self,
|  |  | iterator
| ) |  |
| private

_get_result_graduated_symbol method Run through the iterator to check the associated symbol and sorted it

Parameters

  iterator |

Returns
  the table with the data and associated symbol

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._get_result_single_symbol | ( |  | self,
|  |  | iterator
| ) |  |
| private

_get_result_single_symbol method Run through the iterator to check the associated symbol

Parameters

  iterator |

Returns
  the table with the data and associated symbol

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._request_point_line | ( |  | self,
|  |  | pExtent
| ) |  |
| private

_request_point_line method Request point or line data

Returns
  the request for data point or line

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._request_polygon | ( |  | self,
|  |  | pExtent
| ) |  |
| private

_request_polygon method Request polygon data

Returns
  the request for data polygon

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._request_polyh | ( |  | self,
|  |  | pExtent
| ) |  |
| private

_request_polyh method Request polyhedral data

Returns
  the request for data polyhedral

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._request_tin | ( |  | self,
|  |  | pExtent
| ) |  |
| private

_request_tin Request tin data

Returns
  the request for data tin

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider._sort_result | ( |  | self,
|  |  | iterator
| ) |  |
| private

sort_result method Sort the request result in function of the type of symbology apply on the data

Parameters

  iterator |

Returns
  the table with the data and associated symbol

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider.get_columns_info_table | ( |  | layer) |  |
| static

get_columns_info_table static method Return columns and types of a specific table

Parameters

  layer | to access at the table

Returns
  the result of the request

def vizitown_plugin.vt_as_provider_postgis.PostgisProvider.request_tile | ( |  | self,
|  |  | Xmin,
|  |  | Ymin,
|  |  | Xmax,
|  |  | Ymax
| ) |  |

request_tile method Return all the result contains in the extent in param

Parameters

  Xmin |
  Ymin |
  Xmax |
  Ymax |

Returns
  the tile

## Member Data Documentation

vizitown_plugin.vt_as_provider_postgis.PostgisProvider._layer
| private

vizitown_plugin.vt_as_provider_postgis.PostgisProvider.db

vizitown_plugin.vt_as_provider_postgis.PostgisProvider.geometry1

vizitown_plugin.vt_as_provider_postgis.PostgisProvider.geometry2

vizitown_plugin.vt_as_provider_postgis.PostgisProvider.hasH

vizitown_plugin.vt_as_provider_postgis.PostgisProvider.retGeometry

The documentation for this class was generated from the following file:

- vt_as_provider_postgis.py